Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools S/MIME Java API Reference 10g Release 3 (10.1.3) B25379-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.smime.ess
Class EquivalentLabels

`java.lang.Object
oracle.security.crypto.smime.ess.EquivalentLabels`

All Implemented Interfaces:
  oracle.security.crypto.asn1.ASN1Object, oracle.security.crypto.util.Streamable

public class EquivalentLabels
extends java.lang.Object
implements oracle.security.crypto.asn1.ASN1Object

An ESS EquivalentLabels. An equivalent labels is a sequence of security label.

The output is always a DER encoding.

Constructor Summary
`EquivalentLabels()` Create an empty `EquivalentLabels`.
`EquivalentLabels(oracle.security.crypto.cms.CMSSignerInfo si)` Create a `EquivalentLabels` with the given policy identifier.
`EquivalentLabels(ESSSecurityLabel secLabel)` Create an empty `EquivalentLabels`.
`EquivalentLabels(java.io.InputStream is)` Create a `EquivalentLabels` by reading from the specified input stream.
`EquivalentLabels(java.util.Vector secLabels)` Create an empty `EquivalentLabels`.

Method Summary
`void` | `addSecurityLabel(ESSSecurityLabel secLabel)` Adds a security label.
`boolean` | `equals(java.lang.Object o)` Indicates if the object equals the specified object.
`java.util.Vector` | `getSecurityLabels()` Get the list of Security Labels.
`int` | `hashCode()` Return the hash code for this object.
`void` | `input(java.io.InputStream is)`
`java.util.Enumeration` | `labels()` Returns an enumeration of Security Labels.
`int` | `length()` Return the length of this object's encoding.
`void` | `output(java.io.OutputStream os)` Outputs this object's encoding to the specified output stream.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EquivalentLabels

    public EquivalentLabels(java.io.InputStream is)
                     throws java.io.IOException

  Create a `EquivalentLabels` by reading from the specified input stream.
Parameters:
  `is` - The input stream.

### EquivalentLabels

    public EquivalentLabels(oracle.security.crypto.cms.CMSSignerInfo si)
                     throws oracle.security.crypto.util.InvalidInputException

  Create a `EquivalentLabels` with the given policy identifier.
Parameters:
  `si` - The message signer.
Throws:
  `oracle.security.crypto.util.InvalidInputException` - If the input is not correctly formatted or the SigningCertificateAttribute is not present or the SigningCertificateAttribute has multiple values.

### EquivalentLabels

    public EquivalentLabels()

  Create an empty `EquivalentLabels`.

### EquivalentLabels

    public EquivalentLabels(ESSSecurityLabel secLabel)

  Create an empty `EquivalentLabels`.

### EquivalentLabels

    public EquivalentLabels(java.util.Vector secLabels)

  Create an empty `EquivalentLabels`.

Method Detail

### addSecurityLabel

    public void addSecurityLabel(ESSSecurityLabel secLabel)

  Adds a security label.
  Parameters:
    `secLabel` - The security label.

### getSecurityLabels

    public java.util.Vector getSecurityLabels()

  Get the list of Security Labels.
  Returns:
    A `Vector` containing `ESSSecurityLabel` objects if present; `null` otherwise.

### labels

    public java.util.Enumeration labels()

  Returns an enumeration of Security Labels.
  Returns:
    An `Enumeration` containing `ESSSecurityLabel` objects.

### toString

    public java.lang.String toString()

  Returns:
    A String description of this Objects.

### equals

    public boolean equals(java.lang.Object o)

  Indicates if the object equals the specified object.
  Returns:
    If `true` this object is equal to the specified object; `false` otherwise.

### hashCode

    public int hashCode()

  Return the hash code for this object.
  Returns:
    The hash code value.

### input

    public void input(java.io.InputStream is)
               throws java.io.IOException

  Specified by:
    `input` in interface `oracle.security.crypto.util.Streamable`
  Throws:
    `java.io.IOException`

### output

    public void output(java.io.OutputStream os)
                throws java.io.IOException

  Outputs this object's encoding to the specified output stream.
  Specified by:
    `output` in interface `oracle.security.crypto.util.Streamable`
  Parameters:
    `os` - The output stream.
  Throws:
    `java.io.IOException` - An I/O error occurred.

### length

    public int length()

  Return the length of this object's encoding.
  Specified by:
    `length` in interface `oracle.security.crypto.util.Streamable`
  Returns:
    The length in bytes.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools S/MIME Java API Reference 10g Release 3 (10.1.3) B25379-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.